package com.bcxin.ins.service.order;

import com.bcxin.ins.entity.policy_core.InsAgreement;
import com.bcxin.mybatisplus.service.IService;

public interface InsAgreementAPIService extends IService<InsAgreement> {

	public InsAgreement initAgreement();

	public InsAgreement selectById(Long oid);

	public InsAgreement selectInsAgreementByInsInsuranceSlip(Long insurance_slip_id);

	public void willInsurePolicyVoChangeIntoInsAgreement(Long insurance_slip_id, String externalReference);

	/**
	 * <b> 临时方法，用于批量补偿固化保障责任细项 如果有订单id只补偿该订单 </b>
	 * @author ZXF
	 * @create 2023/12/29 0029 10:49
	 * @version
	 * @注意事项 </b>
	 */
	void updateResponsibilityIds(String productCode,String orderId);
}
